Project

General

Profile

Bug #11496

Feature #5926: Freezable APT repository

perl-modules 5.20.2-6 should not be in our time-based snapshots for Stretch and sid

Added by intrigeri over 3 years ago. Updated over 3 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
Infrastructure
Target version:
Start date:
05/27/2016
Due date:
% Done:

100%

Feature Branch:
Type of work:
Sysadmin
Blueprint:
Starter:
Affected tool:

Description

reprepro-time-based-snapshots@apt:~/repositories/debian$ reprepro ls perl-modules
perl-modules | 5.20.2-3+deb8u4 |                  jessie | amd64, i386
perl-modules | 5.20.2-3+deb8u5 | jessie-proposed-updates | amd64, i386
perl-modules |        5.20.2-6 |                 stretch | amd64, i386
perl-modules |        5.20.2-6 |                     sid | amd64, i386

... while this package was removed from Stretch.

History

#1 Updated by intrigeri over 3 years ago

  • Subject changed from Investigate why perl-modules 5.20.2-6 is still in our time-based snapshots for Stretch to Investigate why perl-modules 5.20.2-6 is still in our time-based snapshots for Stretch and sid

#2 Updated by intrigeri over 3 years ago

  • Subject changed from Investigate why perl-modules 5.20.2-6 is still in our time-based snapshots for Stretch and sid to perl-modules 5.20.2-6 should not be in our time-based snapshots for Stretch and sid
  • Status changed from Confirmed to Resolved
  • Assignee deleted (intrigeri)
  • % Done changed from 0 to 100
  • Type of work changed from Research to Sysadmin

Fixed in puppet-tails with commit 3b651f9111f58f308a635aeb21c12d99255d11dc. Thanks to https://vincent.bernat.im/en/blog/2014-local-apt-repositories.html for explaining the "magic delete rule" in a way that I could understand.

Also available in: Atom PDF